1.12.2

Whenever i try to use forge 1.12.2 on minecraft it keeps saying i have the wrong version?

  • #1
  • #2
  • To post a comment, please or register a new account.
Posts Quoted:
Reply
Clear All Quotes

Jump to Forum